<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- param: managedBean -->
    <ui:decorate template="/layout/popup/_popup_footer.xhtml">
        <ui:param name="popup_id" value="cancelDiscontinueProcedurePanel"/>
        <s:div id="procUpdateContent">
            <s:div rendered="#{userPreferencesManagerBean.selectedSUT != null and managedBean.selectedRequestedProcedure != null}">
                <h:outputText
                        value="#{messages['gazelle.ordermanager.YouAreAboutToSendAMessageToA']} #{userPreferencesManagerBean.selectedSUT.name} #{messages['gazelle.ordermanager.ToCancelTheProcedureSpecifiedBelow']}"
                        rendered="#{managedBean.orderControlCode.equals(managedBean.CANCEL_OCC)}"
                        styleClass="help-block"/>
                <h:outputText
                        value="#{messages['gazelle.ordermanager.YouAreAboutToSendAMessageToA']} #{userPreferencesManagerBean.selectedSUT.name} #{messages['gazelle.ordermanager.ToStopTheFulfillmentOfTheProcedureSpecifiedBelow']}"
                        rendered="#{managedBean.orderControlCode.equals(managedBean.DISCONTINUE_OCC)}"
                        styleClass="help-block"/>
                <dl class="dl-horizontal">
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.ordermanager.RequestedProcedureID_2']}</ui:define>
                        <h:outputText value="#{managedBean.selectedRequestedProcedure.requestedProcedureID}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{not empty managedBean.selectedOrder.placerOrderNumber}">
                        <ui:define name="label">#{messages['gazelle.ordermanager.PlacerOrderNumber_2']}</ui:define>
                        <h:outputText value="#{managedBean.selectedOrder.placerOrderNumber}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{not empty managedBean.selectedOrder.fillerOrderNumber}">
                        <ui:define name="label">#{messages['gazelle.ordermanager.FillerOrderNumber_2']}</ui:define>
                        <h:outputText value="#{managedBean.selectedOrder.fillerOrderNumber}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.ordermanager.VisitNumber_2']}</ui:define>
                        <h:outputText value="#{managedBean.selectedOrder.encounter.visitNumber}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.ordermanager.Patient']}</ui:define>
                        <h:outputText
                                value="#{managedBean.selectedOrder.encounter.patient.firstName} #{managedBean.selectedOrder.encounter.patient.lastName}"/>
                    </s:decorate>
                </dl>
                <h:outputText value="#{messages['gazelle.ordermanager.DoYouReallyWantToDoThis']}"
                              styleClass="help-block"/>
            </s:div>
            <s:div rendered="#{userPreferencesManagerBean.selectedSUT == null}" styleClass="gzl-alert gzl-alert-orange">
                <h:outputText value="#{messages['gazelle.ordermanager.PleaseSelectTheSutToWhichSendTheMessage']}"/>
            </s:div>
            <s:div rendered="#{managedBean.selectedRequestedProcedure == null}" styleClass="gzl-alert gzl-alert-red">
                <h:outputText value="#{messages['gazelle.ordermanager.NoProcedureSelected']}"/>
            </s:div>
        </s:div>
        <ui:define name="popup_footer">
            <s:div id="procUpdateBtn">
                <s:div rendered="#{userPreferencesManagerBean.selectedSUT != null and managedBean.selectedRequestedProcedure != null}">
                    <a4j:commandButton value="#{messages['gazelle.ordermanager.Yes']}"
                                       actionListener="#{managedBean.sendMessage()}"
                                       oncomplete="jq162('#cancelDiscontinueProcedurePanel').modal('hide')"
                                       render="globalDiv" styleClass="gzl-btn-green"/>
                    <a4j:commandButton value="#{messages['gazelle.ordermanager.No']}"
                                       actionListener="#{managedBean.setSelectedRequestedProcedure(null)}"
                                       oncomplete="jq162('#cancelDiscontinueProcedurePanel').modal('hide')"
                                       styleClass="gzl-btn-red"/>
                </s:div>
                <a4j:commandButton value="#{messages['gazelle.ordermanager.Close']}" styleClass="gzl-btn"
                                   oncomplete="jq162('#cancelDiscontinueProcedurePanel').modal('hide')"
                                   actionListener="#{managedBean.setSelectedRequestedProcedure(null)}"
                                   rendered="#{userPreferencesManagerBean.selectedSUT == null or managedBean.selectedRequestedProcedure == null}"/>
            </s:div>
        </ui:define>
    </ui:decorate>
</ui:composition>
